JUCE: SpeakerMappings::VstSpeakerConfigurationHolder Class Reference

JUCE

Public Member Functions | List of all members
SpeakerMappings::VstSpeakerConfigurationHolder Class Reference

Class to hold a speaker configuration. More...

## Public Member Functions
| VstSpeakerConfigurationHolder ()
| VstSpeakerConfigurationHolder (const Vst2::VstSpeakerArrangement &vstConfig)
| VstSpeakerConfigurationHolder (const VstSpeakerConfigurationHolder &other)
| VstSpeakerConfigurationHolder (VstSpeakerConfigurationHolder &&other)
| VstSpeakerConfigurationHolder (const AudioChannelSet &channels)
VstSpeakerConfigurationHolder & | operator= (const VstSpeakerConfigurationHolder &vstConfig)
VstSpeakerConfigurationHolder & | operator= (const Vst2::VstSpeakerArrangement &vstConfig)
VstSpeakerConfigurationHolder & | operator= (VstSpeakerConfigurationHolder &&vstConfig)
const Vst2::VstSpeakerArrangement & | get () const

## Detailed Description

Class to hold a speaker configuration.

## Constructor & Destructor Documentation

## ◆ VstSpeakerConfigurationHolder() [1/5]

SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( |  | ) |

## ◆ VstSpeakerConfigurationHolder() [2/5]

SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( | const Vst2::VstSpeakerArrangement & | vstConfig | ) |

References operator=().

## ◆ VstSpeakerConfigurationHolder() [3/5]

SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( | const VstSpeakerConfigurationHolder & | other | ) |

References get(), and operator=().

## ◆ VstSpeakerConfigurationHolder() [4/5]

SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( | VstSpeakerConfigurationHolder && | other | ) |

## ◆ VstSpeakerConfigurationHolder() [5/5]

SpeakerMappings::VstSpeakerConfigurationHolder::VstSpeakerConfigurationHolder | ( | const AudioChannelSet & | channels | ) |

References SpeakerMappings::channelSetToVstArrangementType(), SpeakerMappings::getSpeakerType(), AudioChannelSet::getTypeOfChannel(), AudioChannelSet::size(), and zeromem().

## Member Function Documentation

## ◆ operator=() [1/3]

VstSpeakerConfigurationHolder& SpeakerMappings::VstSpeakerConfigurationHolder::operator= | ( | const VstSpeakerConfigurationHolder & | vstConfig | ) |

References get(), and operator=().

Referenced by operator=(), and VstSpeakerConfigurationHolder().

## ◆ operator=() [2/3]

VstSpeakerConfigurationHolder& SpeakerMappings::VstSpeakerConfigurationHolder::operator= | ( | const Vst2::VstSpeakerArrangement & | vstConfig | ) |

## ◆ operator=() [3/3]

VstSpeakerConfigurationHolder& SpeakerMappings::VstSpeakerConfigurationHolder::operator= | ( | VstSpeakerConfigurationHolder && | vstConfig | ) |

## ◆ get()

const Vst2::VstSpeakerArrangement& SpeakerMappings::VstSpeakerConfigurationHolder::get | ( |  | ) | const

References HeapBlock< ElementType, throwOnFailure >::get().

Referenced by operator=(), and VstSpeakerConfigurationHolder().

The documentation for this class was generated from the following file:

- juce_VSTCommon.h